--- title: "List protocols request" slug: "list-protocols-request" tags: ["Reference"] updated: 2026-09-03T18:40:47Z published: 2026-09-03T18:40:47Z canonical: "docs.trellix.com/list-protocols-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # List protocols request Lists protocols and the supported fields for each protocol. ``` GET https:///wsapis/v2.0.0/config/network/eventfilter/protocols ``` Availability This command is available on the following appliances: - Network Security Required headers: ``` X-FeApi-Token: [API-Token] X-FeClient-Token: [Client-Token] ``` Optional header: `Accept: application/json` ### Parameters - address—The IP address of the Trellix appliance running the Web Services API. - API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity. - Client-Token—(Optional) This client token is provided by Trellix . For more information about the client token, contact your sales representative. - Content-Type—(Optional) Specify this option to receive events in JSON format. ### Example request ``` GET https:///wsapis/v2.0.0/config/network/eventfilter/protocols ``` Request headers: ``` X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx X-FeClient-Token: BigDataInc ``` ### List protocols response After the event request is received, your appliance validates the API-Token and returns the requested data. ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] Content-Type: application/json X-FeApi-Token: [API-Token] X-FeClient-Token: [Client-Token] ``` ###### Response fields - Response Code—A standard HTML response code. - 200—Request successful. - 500—Request unsuccessful because the server encountered a problem. - Response Message—A standard HTML response message. - OK—Request successful. - Internal Server Error—Request unsuccessful because the server encountered a problem. - Date—Standard HTML date format. ###### Example response ``` HTTP/1.1 200 OK Date: Fri, 23 Sep 2018 08:00:00 GMT {  "dns": [    "event_type",    "src_ip",    "src_port",    "dest_ip",    "dest_port",    "proto",    "dns.type",    "dns.id",    "dns.rrname",    "dns.rrtype",    "dns.tx_id",    "dns.rcode",    "dns.ttl",    "dns.rdata"  ],  "http": [    "event_type",    "src_ip",    "src_port",    "dest_ip",    "dest_port",    "proto",    "tx_id",    "http.hostname",    "http.url",    "http.http_user_agent",    "http.xff",    "http.http_content_type",    "http.http_refer",    "http.http_method",    "http.protocol",    "http.status",    "http.redirect",    "http.length"  ] } ``` ### cURL code sample: list protocols The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample. `curl -X GET -qgsSk --header 'X-FeApi-Token: XXXXXXXXXXXXXX https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/config/network/eventfilter/protocols` This cURL sample includes the following options: - `-X 'GET'`—This option specifies using the GET method. - `-q`—This option specifies that the `curlrc` configuration file will not be read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `--header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the `auth.txt` file. Replace the token in the sample with the token received in the response to your authentication request. - `https://xxx.xxx.xxx.xxx/wsapis/v2.0.0/config/network/eventfilter/protocols`—The event filter request URL. Replace the IP address `xxx.xxx.xxx.xxx` with the IP address of your appliance. ###### Results This code sample lists protocols and their supported fields. :